Bug 180429 - vim-enhanced breaks tcsh -e option
Summary: vim-enhanced breaks tcsh -e option
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-08 03:11 UTC by kwman44
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 14:24:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kwman44 2006-02-08 03:11:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
With vim-enhanced installed, tcsh shell scripts with -e option (or command-line 
"tcsh -e" will exit immediately with status 1.

Installation of vim-enhanced installs /etc/profile.d/vim.csh, which is executed on startup of tcsh shells.

In /etc/profile.d/vim.csh, the line
[ `/usr/bin/id -u` -le 100 ] && exit
will exit with non-zero status for a normal user, triggering the error exit of "tcsh -e"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.With vim-enhanced installed ....
2.tcsh -e

  

Actual Results:  New tcsh shell immediately exits with $status = 1

Expected Results:  Should be able to continue in tcsh

Additional info:

"tcsh -ef" works.  The "f" option turns off processing of the initialization files.  

"tcsh -eV" ends with the line of /etc/profile.d/vim.csh which causes the problem.

with vim-enhanced uninstalled, "tcsh -e" works.

Comment 1 Karsten Hopp 2006-02-15 14:24:29 UTC
fixed in vim-6.4.007-1


Note You need to log in before you can comment on or make changes to this bug.